
@keyframes slideInFromTop {
  0% {
    transform: translateY(-1000px);
  }
  100% {
    transform: translateY(0%);
  }
}
@keyframes rotate180 {
  from {
    transform: rotate(0deg);
  }
  to {
    transform: rotate(180deg);
  }
}
.menuOpen{
  transition: transform 0.3s;
  transform: rotate(180deg);
}
.notAnimated{
  animation: 0.3s 1 slideInFromTop;
}

.blury{
   -webkit-filter: blur(5px);
   -moz-filter: blur(5px);
   -o-filter: blur(5px);
   -ms-filter: blur(5px);
}
.profileComp{
  font-family: 'Poppins', sans-serif;
  margin: 0;
  padding: 0;
  background-image: linear-gradient(#fffefa 40%,rgba(212,255,67,1));
  background-attachment: fixed;
  background-repeat: no-repeat;
  background-size: cover;
}


#topNav{
  width: 100%;
  height: 2.4rem;
  /*z-index: 99999999 !important;*/
  position:relative;
  z-index: 3;
}
#profileNav{
  background-color: black !important;
  color: white;
  display: flex;
  align-items: center;
  text-align: center;
  justify-content: space-between;
  height: 100%;
  /*z-index: 10 !important;*/
}

#profileNav>p{
  margin: 0;
  padding: 0;
  float: left;
  margin-left: 2vw;
  }
.appIcon{
  margin-left: 3%;
  width: 15%;
  max-width: 5rem;
}

  #notifications{
    position: relative;
    font-size: 1.4em;
    width: 15%;
  }
  #hitPointIcon{
    display:inline-block;
    width: 70%;
    padding-top: 40%;
    padding-bottom: 40%;
    background-image: url("logoWhite.png");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
  }
  #menuArrow{
    display: inline-block;
    width: 10%;
    padding-top: 40%;
    padding-bottom: 40%;
    padding-left: 5%;
    background-image:url("arrow-512x512.png");
    background-position: center;
    background-size: contain;
    background-repeat: no-repeat;
  }

  #noteInfo{
    position: absolute;
    border-radius: 50%;
    top: 5%;
    left: 53%;
    width: 1rem;
    height: 1rem;
    background-color: red;

  }
  #settings{
    font-size: 2em;
    width: 10%;
  }

/*RING AROUND PICTURE IMPORTANT FOR SIYE*/
.skillRing{
  /*z-index: 1;*/
  padding-top: 50%;
  padding-bottom: 50%;
  width: 100%;
  border-radius: 50%;
  display: flex;
  align-items: center;
  position: relative;
  background: rgba(197,255, 0, 1) !important;
  /*background:#000 !important;*/
  /*background-image: linear-gradient(green, blue);*/
}

.profileRing{
  /*z-index: 1;*/
  padding-top: 50%;
  padding-bottom: 50%;
  width: 100%;
  border-radius: 50%;
  display: flex;
  align-items: center;
  position: relative;
  background: rgba(197,255,0, 1) !important;
}

.profileImg{
  /*z-index: 1;*/
  position: absolute;
  left: 6%;
  margin: 0 auto;
  width: 88%;
  height: 88%;
  border-radius: 50%;

  background-image: url("./cat.png");
  background-size: 100%;
  /*background-origin:center;*/
  background-repeat: no-repeat;
}
.matchesPlayed{
  text-align: center;
  margin-top: 5%;

}

.matchesPlayed>p{
  margin: 0;
}
.winRateChart{

  margin: 0 auto;
  width: 22vw;
  margin-top: 3vw;
  position: relative;
}
#pieInfo{
  position: absolute;
  top: 15%;
  left: 15%;
  border-radius: 50%;
  height: 70%;
  width: 70%;
  background-color: white;
  display: flex;
  align-items: center;
}
#pieInfo>p{
  margin: 0 auto;
  font-weight: bold;
  font-size: 1.2rem;
}
.winRateChart>p{
  color: white;
  margin: 0 auto;
}
.characterDesc{
  grid-row: 4/5;
  grid-column: 1/2;
  margin-left: 6vw;
}
.characterDesc>p{
  margin: 0;
}
.skillDesc{
  grid-row: 4/5;
  grid-column: 2/3;
}
.skillDesc p{
  margin: 0;
  text-align: center;
}
.pointChart{
  margin: 0 auto;
  width: 60%;
  height: 20%;
  }
.pointChart{
  display: flex;
  justify-content: space-around;
}
.pointChart>div{
  border-radius: 50%;
  width: 3.7vw;
  height: 3.7vw;
  background-color: white;
  float: left;

}
.filledPoint{
  background-color: black !important;
}

.requestButton{
  grid-row: 5/6;
  grid-column: 1/4;
  width: 100%;
  margin: 0 auto;
  text-align: center;
}
.requestButton button{
  margin: 0 auto !important;
  width: 40%;
  height: 8vw;
  background-color: black;
  color: white;
  border-radius: 2vw;
  border: none;
  line-height: 4vw;
}
.profSec{
  margin-top: 5%;
  grid-row: 6/7;
  grid-column: 1/4;
  font-weight: bold;
}
.profLine{
  margin-top: 0.3vw;
  width: 80%;
  height: 10vw;
  display: flex;
  align-items: center;
}
.firstLine{
  margin: 0 !important;
}
.profLine div{
  color: white;
  display: flex;
  align-items: center;
  margin: 1.5vw 6vw 0 6vw;
  height: 8vw;
  width: 8vw;
  background-color: black;
  border-radius: 50%;
}
.profLine div p{
  margin: 0 auto;
}
.profSec p{
  float: right;

}
.mainProf{
  font-size: 1.1em;
}
#navFootProf{
  position: fixed;
  width: 100%;
  top: 94%;
  height: 6%;

}
.navFoot{
  background-color: hsla(0,1%,100%,0.95);
  width: 100%;
  height: 100%;
  padding: 0 0 1.2vw 0;
  display: flex;
  justify-content: space-around;
  align-items: center;
  color: white;

}

.navFoot div{

  width: 2.4rem;
  height: 2.4rem;
  border-radius: 50%;
  background-size: cover;
  background-repeat: no-repeat;
}
.navFoot div.home{

  background-image: url("./1Normal.png");
}
.people{
  background-image: url("./addIcon.png");
}
.stats{
  background-image: url("./2Normal.png");
}
.games{
  background-image: url("./3Normal.png");
}
.achievements{
  background-image: url("./4Normal.png");
}


.profileContainer{
  margin-top: 16%;

}
.mergedWinChart{
  margin: 6% auto;
  width: 40%;
  position: relative;
}
#mergedImg{
  position: absolute;
  width: 84%;
  top: 8%;
  left: 8%;

}
#quickIntro{
  position: relative;
}
#quickDescSquare{
  margin: 4% auto;
  width:31%;
}

.profileName{
  text-align: center;
  width: 100%;
  margin: 1% auto 0% auto;

}
.matchesPlayed>p>span{
  margin-left: 15%;
  font-size: 1.4rem;
  font-weight: bold;
}
#recentGames>#gamesHeader{
  text-align: center;
  font-weight: bold;
  font-size: 1.2rem;
}
.skillDesc{
  margin: 5% auto;
  width: 60%;
}
#radarProf{
  width: 70%;
  margin: 0 auto;
  padding-bottom: 20%;
}

.notificationsMenu:first-child {
  margin-top: 0 !important;}